#include <Windows.h>
#include <cmath>
#include "nativelib.h"
#include "enigma_ide.h"

#pragma optimize("", off)
double __stdcall Enigma_Sin(double Angle)
{
	EP_Marker("vm_risc_begin");
	double temp = sin(Angle);
	EP_Marker("vm_risc_end");
	return temp;
}

double __stdcall Enigma_Cos(double Angle)
{
	EP_Marker("vm_risc_begin");
	double temp = cos(Angle);
	EP_Marker("vm_risc_end");
	return temp;
}

double __stdcall Enigma_Tan(double Angle)
{
	EP_Marker("vm_risc_begin");
	double temp = tan(Angle);
	EP_Marker("vm_risc_end");
	return temp;
}
#pragma optimize("", on)


BOOL APIENTRY DllMain(HMODULE hModule,
	DWORD  ul_reason_for_call,
	LPVOID lpReserved
	)
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
	return TRUE;
}